#
# spec file for package libexiv2 (Version 0.11)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           libexiv2
BuildRequires:  gcc-c++
Url:            http://www.exiv2.org/
License:        GPL v2 or later
Group:          Development/Libraries/C and C++
Summary:        Library and tools to access image metadata
Version:        0.11
Release:        0.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        exiv2-%version.tar.bz2
Patch0:         integer-overflows.diff
Patch1:         divide-by-zero.diff

%description
Exiv2 is a C++ library and a command line utility to access image
metadata.



Authors:
--------
    Andreas Huggel <ahuggel@gmx.net>

%debug_package
%package devel
License:        GPL v2 or later
Summary:        Development Headers for Exiv2
Group:          Development/Libraries/C and C++
Requires:       %name = %{version}
Requires:       zlib-devel

%description devel
Exiv2 is a C++ library and a command line utility to access image
metadata.



Authors:
--------
    Andreas Huggel <ahuggel@gmx.net>

%prep
%setup -q -n exiv2-%{version}
%patch0
%patch1

%build
export CXXFLAGS="$RPM_OPT_FLAGS"
%if 0%{suse_version} > 1000
export CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif
./configure \
    --prefix=/usr/ \
    --libdir=%_libdir \
    --mandir=%_mandir \
    --datadir=%_defaultdocdir
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/ChangeLog doc/cmd.txt
%{_bindir}/exiv2
%{_libdir}/libexiv2-*.so

%files devel
%defattr(-,root,root)
%doc doc/html
%{_bindir}/exiv2-config
/usr/include/exiv2
%{_libdir}/libexiv2.a
%{_libdir}/libexiv2.la
%{_libdir}/libexiv2.so
%{_libdir}/pkgconfig/exiv2.pc
%{_mandir}/man*/*

%changelog
* Tue Oct 21 2008 - stbinner@suse.de
- fix possible divide by zero (bnc#435509, CVE-2008-2696)
* Fri Dec 14 2007 - dmueller@suse.de
- fix integer overflow in thumbnail reading (#348748, CVE-2007-6353)
* Tue Nov 07 2006 - dmueller@suse.de
- don't build as root
* Tue Nov 07 2006 - dmueller@suse.de
- Initial package (0.11), adopted from openSUSE buildservice
